Bug 241058 - net/grive2: fix build on GCC architectures
Summary: net/grive2: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-10-04 14:15 UTC by Piotr Kubaj
Modified: 2019-10-07 14:27 UTC (History)
1 user (show)

See Also:
cpm: maintainer-feedback+


Attachments
patch (1.39 KB, patch)
2019-10-04 14:15 UTC, Piotr Kubaj
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-04 14:15:42 UTC
Created attachment 208092 [details]
patch

Use C++11 compiler and don't add -D_GLIBCXX_USE_CXX11_ABI=0.

With -D_GLIBCXX_USE_CXX11_ABI=0:
/usr/local/bin/ld: libgrive/CMakeFiles/btest.dir/test/btest/JsonValTest.cc.o: in function `_GLOBAL__sub_I__ZN11JsonValTest4Test11test_methodEv':                                                                    
JsonValTest.cc:(.text.startup+0x174): undefined reference to `boost::unit_test::ut_detail::normalize_test_case_name(boost::unit_test::basic_cstring<char const>)'                                                   
/usr/local/bin/ld: libgrive/CMakeFiles/btest.dir/test/btest/ValTest.cc.o: in function `boost::unit_test::make_test_case(boost::function<void ()> const&, boost::unit_test::basic_cstring<char const>, boost::unit_test::basic_cstring<char const>, unsigned long)':                                                           
ValTest.cc:(.text._ZN5boost9unit_test14make_test_caseERKNS_8functionIFvvEEENS0_13basic_cstringIKcEES8_m[_ZN5boost9unit_test14make_test_caseERKNS_8functionIFvvEEENS0_13basic_cstringIKcEES8_m]+0x58): undefined reference to `boost::unit_test::ut_detail::normalize_test_case_name(boost::unit_test::basic_cstring<char const>)'                                                                                                       
collect2: error: ld returned 1 exit status
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-04 22:04:45 UTC
Approved as mentor (built on ppcports) pending maintainer review.
Comment 2 Carlos J. Puga Medina freebsd_committer 2019-10-05 16:15:53 UTC
Comment on attachment 208092 [details]
patch

Approved!

Thanks for the patch :)
Comment 3 commit-hook freebsd_committer 2019-10-07 14:27:29 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Oct  7 14:26:42 UTC 2019
New revision: 513951
URL: https://svnweb.freebsd.org/changeset/ports/513951

Log:
  net/grive2: fix build on GCC architectures

  Use C++11 compiler and don't add -D_GLIBCXX_USE_CXX11_ABI=0.

  With -D_GLIBCXX_USE_CXX11_ABI=0:
  /usr/local/bin/ld: libgrive/CMakeFiles/btest.dir/test/btest/JsonValTest.cc.o: in function `_GLOBAL__sub_I__ZN11JsonValTest4Test11test_methodEv':                                                                    JsonValTest.cc:(.text.startup+0x174): undefined reference to `boost::unit_test::ut_detail::normalize_test_case_name(boost::unit_test::basic_cstring<char const>)'
  /usr/local/bin/ld: libgrive/CMakeFiles/btest.dir/test/btest/ValTest.cc.o: in function `boost::unit_test::make_test_case(boost::function<void ()> const&, boost::unit_test::basic_cstring<char const>, boost::unit_test::basic_cstring<char const>, unsigned long)':
  ValTest.cc:(.text._ZN5boost9unit_test14make_test_caseERKNS_8functionIFvvEEENS0_13basic_cstringIKcEES8_m[_ZN5boost9unit_test14make_test_caseERKNS_8functionIFvvEEENS0_13basic_cstringIKcEES8_m]+0x58): undefined reference to `boost::unit_test::ut_detail::normalize_test_case_name(boost::unit_test::basic_cstring<char const>)'
  collect2: error: ld returned 1 exit status

  PR:		241058
  Approved by:	cpm (maintainer), linimon (mentor)

Changes:
  head/net/grive2/Makefile
  head/net/grive2/files/patch-libgrive_CMakeLists.txt